CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [opcje]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre E-book viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script. You can also use calibre-debug as a shebang in scripts, like this: #!/usr/bin/env -S calibre-debug -e -- --

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[OPCJE]

--add-simple-plugin
    Dodaj prostą wtyczkę (tj. wtyczkę, składającą się wyłącznie z pliku .py), podając ścieżkę do pliku py, zawierającego kod programu.

--command, -c
    Uruchom kod pythona

--debug-device-driver, -d
    Debuguj wykrycie urządzenia

--default-programs
    (Wy)rejestruj calibre z domyślnych programów Windows --default-programs = (register|unregister)

--diff
    Uruchom narzędzie porównywania calibre. Np: calibre-debug --diff plik1 plik2

--edit-book
    Uruchom Edytor książek w trybie debugowania

--exec-file, -e
    Uruchom plik z kodem pythona

--explode-book, -x
    Rozbij książkę do określonego folderu. Użycie: -x plik.epub katalog_wyjściowy Eksportuje książkę jako zbiór plików HTML i metadanych, które można edytować za pomocą standardowych narzędzi do edycji HTML. Działa z plikami EPUB, AZW3, HTMLZ i DOCX.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export folder and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export folder and libraries. The special keyword "all" can be used to export all libraries. Examples: calibre-debug --export-all-calibre-data # for interactive use calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # export all known libraries

--fix-multiprocessing
    Tylko do użytku wewnętrznego

--gui, -g
    Uruchom GUI w trybie debugowania. Komunikaty są kierowane na standardowe wyjście (stdout i stderr).

--gui-debug
    Uruchom z konsolą debugowania i zapisywaniem logu we wskazanej ścieżce. Wyłącznie dla programistów, użyj opcji -g aby uruchomić GUI w trybie debugowania

--help, -h
    Wyświetla ten tekst pomocy i kończy działanie

--implode-book, -i
    Łączenie wcześniej podzielonej książki Użycie: -i katalog_wyjsciowy plik.epub Importuje książkę z plików znajdujących się w katalog_wyjsciowy, który został utworzony przez wcześniejsze wywołanie --explode-book. Pamiętaj aby wybrać taki sam typ pliku jak podczas dzielenia książki.

--import-calibre-data
    Importuj uprzednio eksportowane dane

--inspect-mobi, -m
    Sprawdź plik(i) w podanym katalogu

--paths
    Wyświetl ścieżki niezbędne do ustawienia środowiska calibre

--run-plugin, -r
    Uruchom wtyczkę, która udostępnia interfejs wiersza poleceń. Na przykład: calibre-debug -r "Nazwa wtyczki" -- file1 --option1 Wszystko po -- zostanie przekazane do wtyczki jako argumenty.

--run-test, -t
    Run the named test(s). Use the special value "all" to run all tests. If the test name starts with a period it is assumed to be a module name. If the test name starts with @ it is assumed to be a category name.

--run-without-debug
    Don't run with the DEBUG flag set

--shutdown-running-calibre, -s
    Powoduje zamknięcie wszystkich uruchomionych instancji calibre. Należy pamiętać, że wszystkie niezakończone zadania zostaną przerwane więc należy używać tego przełącznika ostrożnie.

--subset-font, -f
    Zredukuj określoną czcionkę. Użycie -- po tej opcji należy podać parametry przekazywane do programu redukującego czcionki

--test-build
    Testuj moduły binarne w buildzie

--version
    Wyświetla wersję programu i kończy działanie

--viewer, -w
    Uruchom podgląd książek w trybie debugowania

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal